Bug 587333 - qpid-cpp-server package uninstallation fails with 'error: %postun(qpid-cpp-server-0.7.935473-1.el5.x86_64) scriptlet failed, exit status 1'
qpid-cpp-server package uninstallation fails with 'error: %postun(qpid-cpp-se...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
Development
All Linux
high Severity high
: 1.3
: ---
Assigned To: Mike Cressman
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 11:52 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2010-04-29 11:52:07 EDT
Description of problem:

qpid c++ broker package cannot be cleanly uninstalled.

yum/rpm fails ininstallation with message:
...
warning: /etc/qpidd.conf saved as /etc/qpidd.conf.rpmsave
libsemanage.semanage_direct_remove: Module qpidd was not found.
/usr/sbin/semodule:  Failed on qpidd!
error: %postun(qpid-cpp-server-0.7.935473-1.el5.x86_64) scriptlet failed, exit status 1
...

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. yum remove qpid-cpp-server or rpm -e qpid-cpp-server
2. echo $?
  
Actual results:
qpid-cpp-server cannot be uninstall cleanly.

Expected results:
qpid-cpp-server should uninstall cleanly.

Additional info:


[root@dhcp-30-90 ~]# yum --enablerepo=mrg-rhel5-candidate groupremove "MRG Messaging"
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Group Process
mrg-rhel5-candidate                                                                                           | 1.3 kB     00:00
rhel55-distribution                                                                                           | 1.1 kB     00:00
rhel5U5-z                                                                                                     | 1.1 kB     00:00
Resolving Dependencies
--> Running transaction check
---> Package python-qmf.noarch 0:0.7.934605-1.el5 set to be erased
---> Package python-qpid.noarch 0:0.7.934605-1.el5 set to be erased
---> Package python-saslwrapper.x86_64 0:0.1.934605-1.el5 set to be erased
---> Package qmf.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qmf-devel.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-client.x86_64 0:0.7.935473-1.el5 set to be erased
--> Processing Dependency: libqpidclient.so.2()(64bit) for package: rh-qpid-cpp-tests
--> Processing Dependency: libqpidcommon.so.2()(64bit) for package: rh-qpid-cpp-tests
--> Processing Dependency: qpid-cpp-client = 0.7.935473-1.el5 for package: rh-qpid-cpp-tests
---> Package qpid-cpp-client-devel.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-client-devel-docs.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-client-rdma.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-client-ssl.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-cluster.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-devel.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-rdma.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-ssl.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-store.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-cpp-server-xml.x86_64 0:0.7.935473-1.el5 set to be erased
---> Package qpid-dotnet.x86_64 0:0.4.738274-2.el5 set to be erased
---> Package qpid-java-client.noarch 0:0.7.934605-1.el5 set to be erased
---> Package qpid-java-common.noarch 0:0.7.934605-1.el5 set to be erased
---> Package qpid-tests.noarch 0:0.7.917717-4.el5 set to be erased
---> Package qpid-tools.noarch 0:0.7.934605-2.el5 set to be erased
---> Package rhm-docs.noarch 0:0.6.937574-1.el5 set to be erased
---> Package ruby-qpid.x86_64 0:0.7.904654-1.el5 set to be erased
---> Package ruby-saslwrapper.x86_64 0:0.1.934605-1.el5 set to be erased
---> Package saslwrapper.x86_64 0:0.1.934605-1.el5 set to be erased
---> Package saslwrapper-devel.x86_64 0:0.1.934605-1.el5 set to be erased
---> Package sesame.x86_64 0:0.7.3918-1.el5 set to be erased
---> Package xerces-c.x86_64 0:2.8.0-1.el5 set to be erased
---> Package xerces-c-devel.x86_64 0:2.8.0-1.el5 set to be erased
---> Package xerces-c-doc.x86_64 0:2.8.0-1.el5 set to be erased
---> Package xqilla.x86_64 0:2.0.0-5.el5 set to be erased
---> Package xqilla-devel.x86_64 0:2.0.0-5.el5 set to be erased
--> Running transaction check
---> Package rh-qpid-cpp-tests.x86_64 0:0.7.935473-1.el5 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================
 Package                                    Arch                   Version                           Repository                 Size
=====================================================================================================================================
Removing:
 python-qmf                                 noarch                 0.7.934605-1.el5                  installed                 1.2 M
 python-qpid                                noarch                 0.7.934605-1.el5                  installed                 2.3 M
 python-saslwrapper                         x86_64                 0.1.934605-1.el5                  installed                  70 k
 qmf                                        x86_64                 0.7.935473-1.el5                  installed                 1.1 M
 qmf-devel                                  x86_64                 0.7.935473-1.el5                  installed                 266 k
 qpid-cpp-client                            x86_64                 0.7.935473-1.el5                  installed                 4.0 M
 qpid-cpp-client-devel                      x86_64                 0.7.935473-1.el5                  installed                 2.3 M
 qpid-cpp-client-devel-docs                 x86_64                 0.7.935473-1.el5                  installed                  13 M
 qpid-cpp-client-rdma                       x86_64                 0.7.935473-1.el5                  installed                 225 k
 qpid-cpp-client-ssl                        x86_64                 0.7.935473-1.el5                  installed                 272 k
 qpid-cpp-server                            x86_64                 0.7.935473-1.el5                  installed                 3.0 M
 qpid-cpp-server-cluster                    x86_64                 0.7.935473-1.el5                  installed                 884 k
 qpid-cpp-server-devel                      x86_64                 0.7.935473-1.el5                  installed                  0.0
 qpid-cpp-server-rdma                       x86_64                 0.7.935473-1.el5                  installed                  78 k
 qpid-cpp-server-ssl                        x86_64                 0.7.935473-1.el5                  installed                  87 k
 qpid-cpp-server-store                      x86_64                 0.7.935473-1.el5                  installed                 1.1 M
 qpid-cpp-server-xml                        x86_64                 0.7.935473-1.el5                  installed                  90 k
 qpid-dotnet                                x86_64                 0.4.738274-2.el5                  installed                  0.0
 qpid-java-client                           noarch                 0.7.934605-1.el5                  installed                 573 k
 qpid-java-common                           noarch                 0.7.934605-1.el5                  installed                 3.1 M
 qpid-tests                                 noarch                 0.7.917717-4.el5                  installed                 594 k
 qpid-tools                                 noarch                 0.7.934605-2.el5                  installed                  98 k
 rhm-docs                                   noarch                 0.6.937574-1.el5                  installed                 1.0 M
 ruby-qpid                                  x86_64                 0.7.904654-1.el5                  installed                 214 k
 ruby-saslwrapper                           x86_64                 0.1.934605-1.el5                  installed                  25 k
 saslwrapper                                x86_64                 0.1.934605-1.el5                  installed                  40 k
 saslwrapper-devel                          x86_64                 0.1.934605-1.el5                  installed                 5.8 k
 sesame                                     x86_64                 0.7.3918-1.el5                    installed                  95 k
 xerces-c                                   x86_64                 2.8.0-1.el5                       installed                 4.6 M
 xerces-c-devel                             x86_64                 2.8.0-1.el5                       installed                 4.2 M
 xerces-c-doc                               x86_64                 2.8.0-1.el5                       installed                  29 M
 xqilla                                     x86_64                 2.0.0-5.el5                       installed                  13 M
 xqilla-devel                               x86_64                 2.0.0-5.el5                       installed                 902 k
Removing for dependencies:
 rh-qpid-cpp-tests                          x86_64                 0.7.935473-1.el5                  installed                 227 k

Transaction Summary
=====================================================================================================================================
Remove       34 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing        : qpid-tools                                                                                                   1/34
  Erasing        : qpid-cpp-client-rdma                                                                                         2/34
  Erasing        : qmf                                                                                                          3/34
  Erasing        : qpid-cpp-server-ssl                                                                                          4/34
  Erasing        : saslwrapper-devel                                                                                            5/34
  Erasing        : qpid-cpp-server-xml                                                                                          6/34
  Erasing        : qmf-devel                                                                                                    7/34
  Erasing        : rhm-docs                                                                                                     8/34
  Erasing        : qpid-cpp-client-devel-docs                                                                                   9/34
  Erasing        : qpid-cpp-client                                                                                             10/34
  Erasing        : qpid-cpp-server-rdma                                                                                        11/34
  Erasing        : qpid-java-client                                                                                            12/34
  Erasing        : xerces-c-doc                                                                                                13/34
  Erasing        : qpid-cpp-server-cluster                                                                                     14/34
  Erasing        : qpid-cpp-server-devel                                                                                       15/34
  Erasing        : python-saslwrapper                                                                                          16/34
  Erasing        : ruby-qpid                                                                                                   17/34
  Erasing        : qpid-cpp-server                                                                                             18/34
warning: /etc/qpidd.conf saved as /etc/qpidd.conf.rpmsave
libsemanage.semanage_direct_remove: Module qpidd was not found.
/usr/sbin/semodule:  Failed on qpidd!
  Erasing        : qpid-cpp-client-ssl                                                                                         19/34
error: %postun(qpid-cpp-server-0.7.935473-1.el5.x86_64) scriptlet failed, exit status 1
  Erasing        : ruby-saslwrapper                                                                                            20/34
  Erasing        : qpid-dotnet                                                                                                 21/34
  Erasing        : xerces-c                                                                                                    22/34
  Erasing        : xqilla-devel                                                                                                23/34
  Erasing        : saslwrapper                                                                                                 24/34
  Erasing        : qpid-tests                                                                                                  25/34
  Erasing        : python-qpid                                                                                                 26/34
  Erasing        : rh-qpid-cpp-tests                                                                                           27/34
  Erasing        : qpid-java-common                                                                                            28/34
  Erasing        : python-qmf                                                                                                  29/34
  Erasing        : xqilla                                                                                                      30/34
  Erasing        : qpid-cpp-client-devel                                                                                       31/34
  Erasing        : sesame                                                                                                      32/34
  Erasing        : qpid-cpp-server-store                                                                                       33/34
  Erasing        : xerces-c-devel                                                                                              34/34

Removed:
  python-qmf.noarch 0:0.7.934605-1.el5                           python-qpid.noarch 0:0.7.934605-1.el5
  python-saslwrapper.x86_64 0:0.1.934605-1.el5                   qmf.x86_64 0:0.7.935473-1.el5
  qmf-devel.x86_64 0:0.7.935473-1.el5                            qpid-cpp-client.x86_64 0:0.7.935473-1.el5
  qpid-cpp-client-devel.x86_64 0:0.7.935473-1.el5                qpid-cpp-client-devel-docs.x86_64 0:0.7.935473-1.el5
  qpid-cpp-client-rdma.x86_64 0:0.7.935473-1.el5                 qpid-cpp-client-ssl.x86_64 0:0.7.935473-1.el5
  qpid-cpp-server.x86_64 0:0.7.935473-1.el5                      qpid-cpp-server-cluster.x86_64 0:0.7.935473-1.el5
  qpid-cpp-server-devel.x86_64 0:0.7.935473-1.el5                qpid-cpp-server-rdma.x86_64 0:0.7.935473-1.el5
  qpid-cpp-server-ssl.x86_64 0:0.7.935473-1.el5                  qpid-cpp-server-store.x86_64 0:0.7.935473-1.el5
  qpid-cpp-server-xml.x86_64 0:0.7.935473-1.el5                  qpid-dotnet.x86_64 0:0.4.738274-2.el5
  qpid-java-client.noarch 0:0.7.934605-1.el5                     qpid-java-common.noarch 0:0.7.934605-1.el5
  qpid-tests.noarch 0:0.7.917717-4.el5                           qpid-tools.noarch 0:0.7.934605-2.el5
  rhm-docs.noarch 0:0.6.937574-1.el5                             ruby-qpid.x86_64 0:0.7.904654-1.el5
  ruby-saslwrapper.x86_64 0:0.1.934605-1.el5                     saslwrapper.x86_64 0:0.1.934605-1.el5
  saslwrapper-devel.x86_64 0:0.1.934605-1.el5                    sesame.x86_64 0:0.7.3918-1.el5
  xerces-c.x86_64 0:2.8.0-1.el5                                  xerces-c-devel.x86_64 0:2.8.0-1.el5
  xerces-c-doc.x86_64 0:2.8.0-1.el5                              xqilla.x86_64 0:2.0.0-5.el5
  xqilla-devel.x86_64 0:2.0.0-5.el5

Dependency Removed:
  rh-qpid-cpp-tests.x86_64 0:0.7.935473-1.el5

Complete!
[root@dhcp-30-90 ~]# rpm -qa | grep qpid
qpid-cpp-mrg-debuginfo-0.7.929717-1.el5
qpid-cpp-server-0.7.935473-1.el5
[root@dhcp-30-90 ~]# rpm -e qpid-cpp-server-0.7.935473-1.el5
error reading information on service qpidd: No such file or directory
error: %preun(qpid-cpp-server-0.7.935473-1.el5.x86_64) scriptlet failed, exit status 1
[root@dhcp-30-90 ~]# rpm -e qpid-cpp-server-0.7.935473-1.el5 --noscripts
Comment 2 Frantisek Reznicek 2010-05-27 09:46:23 EDT
Still buggy at qpid-cpp-server-0.7.946106
[root@dhcp-30-90 qpid_test_msg_trasfer_after_session_detach_bz461816]# rpm -e qpid-cpp-server --nodeps
warning: /etc/qpidd.conf saved as /etc/qpidd.conf.rpmsave
libsemanage.semanage_direct_remove: Module qpidd was not found.
/usr/sbin/semodule:  Failed on qpidd!
error: %postun(qpid-cpp-server-0.7.946106-1.el5.x86_64) scriptlet failed, exit status 1
Comment 3 Frantisek Reznicek 2010-05-31 12:22:27 EDT
The issue is still present at qpid-cpp-server-0.7.946106-2.el5
Comment 4 Frantisek Reznicek 2010-06-15 07:10:29 EDT
The behavior was retested on qpid-cpp-server-0.7.946106-2.el5.i386/x86_64 and also on new qpid-cpp-server-0.7.946106-3.el5.i386/x86_64


[root@mrg-qe-01 qpid_test_qpidd-perftest_performance]# while true; do rpm -e qpid-cpp-server --nodeps || break; yum --enablerepo=mrg-rhel5-candidate install qpid-cpp-server -y; done
/var/tmp/rpm-tmp.71968: line 10: syntax error: unexpected end of file
error: %postun(qpid-cpp-server-0.7.946106-3.el5.i386) scriptlet failed, exit status 2

[root@mrg-qe-02 qpid_test_qpidd-perftest_performance]# while true; do rpm -e qpid-cpp-server --nodeps || break; yum --enablerepo=mrg-rhel5-candidate install qpid-cpp-server -y; done
/var/tmp/rpm-tmp.54678: line 10: syntax error: unexpected end of file
error: %postun(qpid-cpp-server-0.7.946106-3.el5.x86_64) scriptlet failed, exit status 2
[root@mrg-qe-02 qpid_test_qpidd-perftest_performance]# rpm -e qpid-cpp-server --nodeps
error reading information on service qpidd: No such file or directory
error: %preun(qpid-cpp-server-0.7.946106-3.el5.x86_64) scriptlet failed, exit status 1

So the procedure is to uninstall just the qpid-cpp-server and leave the others. This might seem invalid, but let's imagine the situation when user wants to reinstall just the broker.(for instance just broker executable got corrupted)
Comment 5 Frantisek Reznicek 2010-06-24 11:01:03 EDT
I retested on -4 packages and it works now.
Mike,
could you update the BZ with post that it was fixed as commit N and put BZ to MODI, please?
I believe I'm able to kick it to VERI then.
Comment 6 Mike Cressman 2010-06-25 10:04:08 EDT
Found missing end of block in spec file.  Fixed in rev 1.22 of
distcvs/qpid-cpp-mrg/RHEL-5-MRG/qpid-cpp-mrg.spec, corresponding to package version qpid-cpp-mrg-0.7.946106-4.el5
Comment 7 Frantisek Reznicek 2010-06-25 10:06:27 EDT
The issue has been fixed on RHEL 5.5 i386 / x86_64 on package[s] qpid-cpp-*-0.7.946106-4.el5.


-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.